Error when installing .NET Outlook Addin 1.1 on 2.0 machines

Add-in Express™ Support Service
That's what is more important than anything else

Error when installing .NET Outlook Addin 1.1 on 2.0 machines
 
manuel.stix




Posts: 10
Joined: 2006-07-04
Hi there!

We have built an Outlook Addin with ADX 2.4 on .NET 1.1. The Setup has been modified to accept the 2.0 Platform to install on. When the client tries to install it on a machine with .NET 2.0 only the progress bar fills twice followed by this error:


AddinExpress.Install.ADXProjectInstaller error: the add-in installation
has fired an exception.

Error occured in the code of Add-in Express .NET Add-in Installer
Library. See 'Details' section to get more detailed information about
the error.


Detailed technical information follows:
---
Date and Time: 7/3/2006 2:06:32 PM
Machine Name: PC1
IP Address: 192.168.10.2
Current User: SERVER1\cuser

Application Domain: DefaultDomain
Assembly Codebase: file:///C:/Program Files/AddIn for Outlook/AddinExpress.Install.dll
Assembly Full Name: AddinExpress.Install, Version=2.4.1757.0,
Culture=neutral, PublicKeyToken=null
Assembly Version: 2.4.1757.0
Assembly Build Date: 3/30/2006 6:25:50 PM

Exception Source: AddinExpress.Install
Exception Type: System.ApplicationException
Exception Message: An error occurred during the add-in registration
process.
Exception Target Site: InstallAddin

---- Stack Trace ----
AddinExpress.Install.ADXProjectInstaller.InstallAddin(addinFullName
As String, adxAssemblyName As String, check As String, gac As String,
regasm As String)
AddinExpress.Install.dll: N 0184 (0xB8) IL



Hope anyone can help. Thanks a lot.
Manuel
Posted 04 Jul, 2006 08:50:57 Top
Sergey Grischenko


Add-in Express team


Posts: 7235
Joined: 2004-07-05
Hi Manuel.

Please update your version of Add-in Express .NET up to v2.6.1760 and read the VSSetup.rtf file with step by step instructions on how you can create the setup project for ADX based add-in.
Posted 04 Jul, 2006 09:52:07 Top
S Manuel




Posts: 10
Joined: 2006-07-04
Sergey,

upgraded to ADX 2.6, rebuilt and created a fresh MSI.

Still the same error when installing on a machine which has only .NET 2.0 installed (using a VPC with XPSP2 and Office2007B2). No error when installing on a machine with .NET 1.1 (using a VPC with XPSP2 and Office2007B2). [Quite the same when using Office2003]

>>
Detailed technical information follows:
---
Date and Time: 04.07.2006 17:25:06
Machine Name: OFFICETEST
IP Address: 192.168.1.22
Current User: OFFICETEST\Administrator

Application Domain: DefaultDomain
Assembly Codebase: file:///C:/Programme/AddIn for Outlook/AddinExpress.Install.dll
Assembly Full Name: AddinExpress.Install, Version=2.6.1760.2003, Culture=neutral, PublicKeyToken=null
Assembly Version: 2.6.1760.2003
Assembly Build Date: 26.10.2004 02:06:46

Exception Source: AddinExpress.Install
Exception Type: System.ApplicationException
Exception Message: An error occurred during the add-in registration process.
Exception Target Site: InstallAddin

---- Stack Trace ----
AddinExpress.Install.ADXProjectInstaller.InstallAddin(addinFullName As String, adxAssemblyName As String, check As String, gac As String, regasm As String)
AddinExpress.Install.dll: N 0184 (0xB8) IL
<<


(Project is an OL Addin and uses a Shim. Built with VS2003 on a machine wich has only .NET 1.1. Nothing found in the VSSetup.rtf which we might have missed.)

Best regards,
Manuel
Posted 04 Jul, 2006 11:08:43 Top
Sergey Grischenko


Add-in Express team


Posts: 7235
Joined: 2004-07-05
Hi Manuel.

Still the same error when installing on a machine which has only .NET 2.0 installed.

As far as I see in the error message, you have developed the add-in for .NET v1.1 in VS 2003.
To rebuilt the add-in for .NET v2.0 in VS 2005 you should replace the AddinExpress.MSO.dll (v2.6.1760.2003) with the AddinExpress.MSO.2005.dll (v2.6.1760.2005) in the 'References' node of the add-in project.
Also, please use the AddinExpress.Install.2005.dll instead of AddinExpress.Install.dll in the setup project if you work in VS 2005.
Posted 05 Jul, 2006 07:44:00 Top
S Manuel




Posts: 10
Joined: 2006-07-04
Sergey,

I don't want to upgrade the Project to VS2005.

The only goal is to get the AddIn (which was developed in VS2003 on .NET 1.1) installed on a Machine with .NET 2.0 only.

Regards
Posted 05 Jul, 2006 07:48:25 Top
Sergey Grischenko


Add-in Express team


Posts: 7235
Joined: 2004-07-05
Manuel, I am afraid it is not possible. You should rebuild the add-in for .NET v2.0 in VS 2005.
Posted 05 Jul, 2006 07:51:42 Top
S Manuel




Posts: 10
Joined: 2006-07-04
Hi Sergey.

Thank you. Is there any kind of explanation available since .NET 2.0 is backwards compatible?

Regards
Posted 05 Jul, 2006 08:05:25 Top
Sergey Grischenko


Add-in Express team


Posts: 7235
Joined: 2004-07-05
Posted 05 Jul, 2006 11:00:04 Top
S Manuel




Posts: 10
Joined: 2006-07-04
Hi Sergey.

I know this article and it says:

Managed add-ins to native applications, such as Microsoft Office or Internet Explorer, will automatically run against the latest version of the .NET Framework installed on the computer. Developers and IT managers should test add-ins against the .NET Framework 2.0 before deploying that version of the Framework.

and the Table (3rd row) shows:
Application type: 1.1 add-in to a native application (such as Office or Internet Explorer)
Computer with 2.0: Loads with 2.0


This still provides no answer to me. Sergey, I do not want to trick you. I am just keen to know why. May be you can show me the reason?

Thanks a lot.
Posted 05 Jul, 2006 11:12:26 Top
Sergey Grischenko


Add-in Express team


Posts: 7235
Joined: 2004-07-05

This article also says:

On the occasions where application code built against the .NET Framework 1.1 is loaded by the .NET Framework 2.0 and encounters a breaking change, the application may fail.

That means that .NET Framework v1.1 and v2.0 are not 100% compatible.
Posted 05 Jul, 2006 12:20:58 Top